<?php

class cNotaalmacentipo{

	function insertar($tip,$nom){

		$sql = "INSERT tb_notaalmacentipo (

		`tb_notaalmacentipo_tip`,

		`tb_notaalmacentipo_nom`

		)

		VALUES (

		'$tip','$nom'

		);"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function filtrar($tip){

		$sql="SELECT * 

		FROM tb_notaalmacentipo

		WHERE tb_notaalmacentipo_xac='1' ";



		if($tip>0)$sql.=" AND tb_notaalmacentipo_tip=$tip ";



		$sql.=" ORDER BY tb_notaalmacentipo_nom ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrarUno($id){

		$sql="SELECT * 

		FROM tb_notaalmacentipo

		WHERE tb_notaalmacentipo_id=$id ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function modificar($id,$tip,$nom){ 

		$sql = "UPDATE tb_notaalmacentipo SET  

		`tb_notaalmacentipo_nom` =  '$nom',

		`tb_notaalmacentipo_tip` =  '$tip'

		WHERE  tb_notaalmacentipo_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_notaalmacentipo SET

		`tb_notaalmacentipo_$campo` =  '$valor' 

		WHERE tb_notaalmacentipo_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



}

?>